image: fabianm/comp1110-2025-s1-gitlab-ci:0.8.3

stages:
  - compliance
  - build
  - test

compliance:
  tags:
    - comp1110
  stage: compliance
  script:
    - python3 /p5/checkrepofiles.py
  allow_failure: true

build:
  tags:
    - comp1110
  stage: build
  script:
    - /p5/compile.sh

  artifacts:
    paths:
      - ./out/production/comp6710-2025s1-p5/*.class
      - ./out/test/comp6710-2025s1-p5/*.class

testInterface:
  tags:
    - comp1110
  stage: test
  script:
    - /p5/testinterface.sh
  allow_failure: true

mark:
  tags:
    - comp1110
  stage: test
  script:
    - /p5/test.sh
  allow_failure: true

testGraph:
  tags:
    - comp1110
  stage: test
  script:
    - /p5/runstudenttests.sh GraphTests
  allow_failure: true

testContactTracing:
  tags:
    - comp1110
  stage: test
  script:
    - /p5/runstudenttests.sh ContactTracingTests
  allow_failure: true

testAmbulanceDispatch:
  tags:
    - comp1110
  stage: test
  script:
    - /p5/runstudenttests.sh AmbulanceDispatchTests
  allow_failure: true

